Subject: Re: [PATCH] Remove various dead assignments and dead increments found by the clang static analyzer

From: Giuseppe Scrivano <[email-masked]>
Date: Sat, 26 Sep 2009 20:21:28 +0200

Hello,

Johannes Schindelin <[email-masked]> writes:

> I understand that clang complains when argc is not really used afterwards, 
> but do we really want to do this?  I mean, if somebody decides it'd be a 
> good idea to check the number of arguments after parsing the arguments, 
> they might be bitten by the fact that it is now actively wrong.

probably this is not the only case to leave as it is.  I just cleaned
anything clang reported.

Cheers,
Giuseppe